//
//  GzSearchBar.m
//  Twitter Search Example
//
//  Created by Geenz on 7/18/13.
//  Copyright (c) 2013 Geenz. All rights reserved.
//

#import "TweetSearchBar.h"
#import <QuartzCore/QuartzCore.h>

@implementation TweetSearchBar

- (id) initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self) {
        // Set our background image to the custom search bar background image.
        [self setBackgroundImage:[UIImage imageNamed:@"SearchBarBG.png"]];
        
        // For general aesthetics, use a custom search bar view control with rounded text view corners.
        // Taken from the code snippet listed here: http://stackoverflow.com/questions/8005980/how-to-change-uisearchbar-from-round-to-rectangle
        for (UIView *searchBarSubview in [self subviews]) {
            if ([searchBarSubview conformsToProtocol:@protocol(UITextInputTraits)]) {
                @try {
                    [(UITextField *)searchBarSubview setBorderStyle:UITextBorderStyleRoundedRect];
                }
                @catch (NSException * e) {
                    // ignore exception
                }
            }
        }
    }
    return self;
}



/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
