//
//  GzTableViewCell.m
//  Twitter Search Example
//
//  Created by Geenz on 7/18/13.
//  Copyright (c) 2013 Geenz. All rights reserved.
//

#import "TweetViewCell.h"
#import <QuartzCore/QuartzCore.h>

@implementation TweetViewCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];
    UIImageView* imageBg = (UIImageView*)[self viewWithTag:4];
    if (selected)
    {
        imageBg.hidden = YES;
    } else {
        imageBg.hidden = NO;
    }
}

- (void)propagateUserName:(NSString *)name
{
    UILabel* label = (UILabel*)[self viewWithTag:1];
    label.text = name;
}

- (void)propagateTweet:(NSString *)tweetBody
{
    UILabel* label = (UILabel*)[self viewWithTag:2];
    label.text = tweetBody;
}

- (void) propagateUserImage:(NSURL*)profileImageURL
{
    UIImageView* image = (UIImageView*)[self viewWithTag:3];
    image.image = [UIImage imageWithData:[NSData dataWithContentsOfURL:profileImageURL]];
    image.layer.cornerRadius = 5.0;
    image.clipsToBounds = YES;
}

@end
